> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Delete elastic templates

DELETE https://demo.docusign.net/clickapi/v1/accounts/{accountId}/clickwraps

Deletes the elastic templates for an account specified in the
`clickwrapIds` query parameter.
Active elastic templates cannot be deleted.

[Required authentication scopes](/docs/click-api/click101/auth/): `click.manage`.

The response is a list of deleted elastic templates
along with their disposition:

```json
{
  "clickwraps": [
    {
      "clickwrapId": ""798d8186-xxxx-xxxx-xxxx-abc22eb46640",
      "clickwrapName": "Archive this",
      "status": "Active",
      "deletionMessage": "Active clickwrap version cannot be deleted."
    },
    {
      "clickwrapId": ""3390d1cb-xxxx-xxxx-xxxx-fcbf0bd9ee13",
      "clickwrapName": "Mesoamerica 101",
      "status": "Deleted",
      "deletionSuccess": true,
      "deletionMessage": "Successfully deleted the clickwrap."
    }
  ]
}
```

Reference: https://developers.docusign.com/docs/click-api/reference/accounts/clickwraps/deleteclickwraps

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://demo.docusign.net/clickapi` (Demo, default)
- `https://www.docusign.net/clickapi` (Production)

## Request

### Path parameters

- `accountId` (string, required) — The external account number (int) or account ID GUID.

### Query parameters

- `clickwrapIds` (string, optional) — A comma-separated list of elastic template GUIDs to delete.

## Response

### 200

Successful response.

- `clickwraps` (list of clickwrapDeleteResponse, optional) — An array of clickwrap deletion results.

## Errors

### 400 Bad Request Error

Error encountered.

- `errorCode` (string, optional) — The error code.
- `message` (string, optional) — The error message.

## Types

### clickwrapDeleteResponse

The result of a clickwrap deletion request.

- `clickwrapId` (string, optional) — The GUID of the elastic template.
- `clickwrapName` (string, optional) — The name of the elastic template.
- `deletionMessage` (string, optional) — A message describing the result of deletion request. One of: - `alreadyDeleted`: Elastic template is already deleted. - `deletionSuccess`: Successfully deleted the elastic template. - `deletionFailure`: Failed to delete the elastic template. - `cannotDelete`: Active elastic template versions cannot be deleted.
- `deletionSuccess` (boolean, optional) — **True** if the elastic template was deleted successfully. **False** otherwise.
- `status` (string, optional) — Clickwrap status. Possible values: - `active` - `inactive` - `deleted`

## Examples

**Response**

```json
{
  "clickwraps": [
    {
      "clickwrapId": "string",
      "clickwrapName": "string",
      "deletionMessage": "string",
      "deletionSuccess": true,
      "status": "string"
    }
  ]
}
```